## php-amqp-1 1.11.0

=== debian/changelog ===
php-amqp-1 (1:1.11.0-1+0~20250508.2+debian12~1.gbp5f9c0d) unstable; urgency=medium

  ** SNAPSHOT build @5f9c0df2de41997316a1990198732c89f67ba5d2 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Thu, 08 May 2025 05:38:05 +0200

php-amqp-1 (1:1.11.0-1) unstable; urgency=medium

  * Split the package for PHP 5.6 - PHP 7.3
  * Workaround the empty-binary-package lintian problem

 -- Ondřej Surý <ondrej@debian.org>  Fri, 06 Oct 2023 11:11:14 +0200

php-amqp (1.11.0-5) unstable; urgency=medium

  * Regenerate d/control for PHP 8.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Dec 2022 13:30:07 +0100

php-amqp (1.11.0-4) unstable; urgency=medium

  * Fix the d/control for PHP 8.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Jan 2022 15:01:21 +0100

php-amqp (1.11.0-3) unstable; urgency=medium

  * Regenerate d/control for PHP 8.1

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Jan 2022 13:09:43 +0100

php-amqp (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0

 -- Ondřej Surý <ondrej@debian.org>  Fri, 31 Dec 2021 09:12:19 +0100

php-amqp (1.11.0~rc1+1.10.2-2) unstable; urgency=medium

  * Recompile for PHP 7.4 until the transition is complete

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Nov 2021 11:25:46 +0100

php-amqp (1.11.0~rc1+1.10.2-1) unstable; urgency=medium

  * New upstream version 1.11.0~rc1+1.10.2
   + amqp 1.11.0~rc1 is used for PHP 8.0+
   + amqp 1.10.2 is used for everything else

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:28:22 +0100

php-amqp (1.10.2-9) unstable; urgency=medium

  * Update the packaging to dh-php >= 4~

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:00:50 +0100

php-amqp (1.10.2-8) unstable; urgency=medium

  * Bump B-D to dh-php >= 3.1~

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 18:06:29 +0100

php-amqp (1.10.2-7) unstable; urgency=medium

  * Revert arch:all change, as it breaks shlibs:Depends

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 13:21:23 +0100

php-amqp (1.10.2-6) unstable; urgency=medium

  * The main dummy package is arch:all
  * Bump dh-php Build-Depends to >= 3.0~

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 07:50:21 +0100

php-amqp (1.10.2-5) unstable; urgency=medium

  * Sync the changelog with Debian bullseye
  * Update d/gbp.conf for debian/main branch
  * Update standards version to 4.5.1 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Feb 2021 12:10:37 +0100

php-amqp (1.10.2-4) unstable; urgency=medium

  * Update d/watch to use https://pecl.php.net
  * Lower the dh-php dependency to Debian sid version
  * Update d/gbp.conf for Debian bullseye

 -- Ondřej Surý <ondrej@debian.org>  Sun, 14 Feb 2021 16:39:26 +0100

php-amqp (1.10.2-3) unstable; urgency=medium

  * Update for dh-php >= 2.0 support

 -- Ondřej Surý <ondrej@debian.org>  Sun, 11 Oct 2020 14:36:41 +0200

php-amqp (1.10.2-2) unstable; urgency=medium

  * Make the package dh_php >= 1.0 compatible
  * Pull patches to support PHP 8.0 (Courtesy of Remi Collet)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 10 Oct 2020 21:21:18 +0200

php-amqp (1.10.2-1) unstable; urgency=medium

  * Finish conversion to debhelper compat level 10
  * New upstream version 1.10.2

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Jul 2020 10:24:45 +0200

php-amqp (1.9.4-3) unstable; urgency=medium

  * Don't fail on failed tests

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Feb 2020 16:28:34 +0100

php-amqp (1.9.4-2) unstable; urgency=medium

  * No change rebuild.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 28 Aug 2019 09:12:11 +0200

php-amqp (1.9.4-1) unstable; urgency=medium

  * Add Pre-Depends on php-common >= 0.69~
  * New upstream version 1.9.4

 -- Ondřej Surý <ondrej@debian.org>  Sat, 19 Jan 2019 05:15:43 +0000

php-amqp (1.9.3-4) unstable; urgency=medium

  * Bump the dependency on dh-php to >= 0.33

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Oct 2018 09:18:17 +0000

php-amqp (1.9.3-3) unstable; urgency=medium

  * Add PHP 7.3 patches (Courtesy of Remi Collet)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 19 Aug 2018 16:05:10 +0000

php-amqp (1.9.3-2) unstable; urgency=medium

  * Update Vcs-* to salsa.d.o
  * Update maintainer email to team+php-pecl@tracker.debian.org
    (Closes: #899635)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 19 Aug 2018 12:02:58 +0000

php-amqp (1.9.3-1) unstable; urgency=medium

  * New upstream version 1.9.3

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Dec 2017 13:22:12 +0000

php-amqp (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 27 Jun 2017 09:30:05 +0200

php-amqp (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0

 -- Ondřej Surý <ondrej@debian.org>  Tue, 30 May 2017 10:13:09 +0200

php-amqp (1.7.1-1) unstable; urgency=medium

  * Imported Upstream version 1.7.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Dec 2016 11:27:57 +0100

php-amqp (1.7.0-3) unstable; urgency=medium

  * Move the default makefile snippet to dh-php and use a simple d/rules
    with dh-php >= 0.12~
  * Bump standards-version to 3.9.8
  * amqp d/rules doesn't need HAVE_MBSTRING

 -- Ondřej Surý <ondrej@debian.org>  Fri, 29 Apr 2016 10:01:11 +0200

php-amqp (1.7.0-2) unstable; urgency=medium

  * Improve d/rules so it can be used with both single or multiple PECL
    upstream versions, controlled by looking for package-MAJOR.MINOR.xml,
    package-MAJOR.xml and package.xml in this order

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Apr 2016 12:05:52 +0200

php-amqp (1.7.0-1) unstable; urgency=medium

  * gbp.conf back at master/pristine-tar/upstream
  * Imported Upstream version 1.7.0
  * Add code to generate phpX.Y-<ext> provides for every PHP version

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Apr 2016 10:55:01 +0200

php-amqp (1.7.0~alpha2-4) unstable; urgency=medium

  * Force rebuild with dh_php >= 0.7

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Feb 2016 16:46:54 +0100

php-amqp (1.7.0~alpha2-3) unstable; urgency=medium


